"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var DetailInfoItem_1 = require("./DetailInfoItem");
var DetailInfoIListLink_1 = require("./DetailInfoIListLink");
var system_1 = require("../../system");
var core_1 = require("@material-ui/core");
var system_2 = require("../../system");
var useStyles = core_1.makeStyles(function (theme) { return ({
    texto_principal: {
        fontSize: '0.8rem',
        margin: 0
    },
    texto_principal_grupo: {
        fontSize: '0.8rem',
        margin: 3,
        marginBottom: -10,
        backgroundColor: '#fafafa',
        zIndex: 10
    },
    texto_secondario: {
        fontSize: '0.7rem',
        paddingLeft: '10px',
        margin: 0,
        wordBreak: 'break-all',
        whiteSpace: 'pre-line'
    },
    texto_secondario_grupo: {
        textAlign: 'center',
        fontSize: '0.7rem',
        margin: 0,
        wordBreak: 'break-all',
        whiteSpace: 'pre-line'
    },
    list_items_div: {
        borderRadius: '5px',
        border: 'solid black 1px',
        padding: '5px',
        marginBottom: '10px'
    }
}); });
var DetailLayout = function (props) {
    var children = props.children, title = props.title, info_items = props.info_items, info_list_items_link = props.info_list_items_link, permissions = props.permissions, singular_name = props.singular_name, _a = props.loadData, loadData = _a === void 0 ? null : _a;
    var classes = useStyles();
    return react_1.default.createElement(system_1.ValidatePermissions, { can_see: permissions.detail, name: singular_name },
        react_1.default.createElement("div", { className: 'row' },
            react_1.default.createElement("div", { className: "col-12" },
                react_1.default.createElement(core_1.Typography, { variant: "h3", gutterBottom: true, color: "primary" }, title)),
            info_items && react_1.default.createElement("div", { className: "col-12" },
                react_1.default.createElement("div", { className: "row" }, info_items.map(function (i) { return react_1.default.createElement(DetailInfoItem_1.DetailInfoItem, { classes: classes, key: i.label, label: i.label, text_value: i.text_value, icon_value: i.icon_value, className: i.className, link: i.link }); }))),
            info_list_items_link && react_1.default.createElement("div", { className: "col-12" },
                react_1.default.createElement("div", { className: "row" }, info_list_items_link.map(function (i) {
                    return react_1.default.createElement(DetailInfoIListLink_1.DetailInfoIListLink, { items: i.items, title: i.title, className: i.className, classes: classes, key: i.title });
                }))),
            react_1.default.createElement("div", { className: "col-12" }, children)),
        loadData && react_1.default.createElement(system_2.LoadData, { loadData: loadData }));
};
exports.DetailLayout = DetailLayout;
